Commission new official version of the KDE logo with the word "KDE" next to it or below it
Closed, ResolvedPublic

Description

Over the last months, we have found that we have sometimes needed the KDE logo with the letters "KDE" or "kde.org" at the top, bottom or on either side of the logo. However, there is no design guideline of how to do this and no official font, position or distance for the writing.

Although Kabel, the font used for the "K" within the gear of the logo, is very effective for the logo itself, due to the fact it is ornamental, it does not work well for words or captions. It looks childish and unprofessional.

We would like members of the VDG to advise us on a design with a caption that looks good and we can use in posters, stickers, videos, etc..

The colours we would need are:

  • Blue on white/transparent
  • White on blue
  • Black on white/transparent
  • White black
  • Dark grey on white/transparent?
paulb created this task.Oct 25 2019, 11:15 AM
apol added a subscriber: apol.Oct 25 2019, 11:36 AM

It would make sense to have a horizontal and a vertical layout. Often we are integrating our logos together with other organisations', it's good to have alternatives.

Some thinking around how to use the logo would be useful as well:
https://mozilla.design/firefox/logos-usage/

ognarb added a subscriber: ognarb.

We have a KDE.org logo, so I just removed the .org from it


But this use the Kabel font :(

IlyaBizyaev added a subscriber: IlyaBizyaev.EditedOct 26 2019, 12:08 PM

I agree with Paul: our logo is easily spoiled by extending the K-gear with DE... The whole thing becomes clumsy. "KDE" will have to be added as a separate label, or in some different font.

KDE's artists long ago decided not to use the Kabel font for anything other than the K logo itself. That could be reversed of course but it would need a discussion and some understanding of why it was dropped in the first place. Better to just use a font which is already agreed on such as Noto or Hack.

Better to just use a font which is already agreed on such as Noto or Hack.

Yes: a font designed for text, not for logos. We would need the advice from VDG designers on this.

paulb added a comment.EditedOct 30 2019, 11:17 AM

Maybe, for consistency's sake, we can use the font used in the "Made by KDE" slugs on websites using KDE branding:

It is simple, elegant and unobtrusive.

Thoughts?

paulb added a comment.EditedNov 30 2019, 12:07 PM

Let's get a move on this. Below are 8 logos with the 8 most unobtrusive, unassuming and common fonts I could find. Pick your favourite (+1) and least favourite (-1). Only one per person please:

Bitstream:

DejaVu:

Droid:

Kabel:

Lato:

Liberation:

Nimbus:

Noto:

Open:

Liberation: +1
Droid: -1

duffus added a subscriber: duffus.Nov 30 2019, 12:28 PM

I still like kabel

I still like kabel

Fair enough. Added Kabel (in alphabetical order)

Noto Sans: +1
Kabel: -1

Also, I think if you use rounded corners, reduce the font size and use Breeze's #232629 for the label it will look slightly better.


I feel that text with in these bland thin fonts just looks like some text under a logo rather than part of the logo

filipf added a subscriber: filipf.Nov 30 2019, 2:26 PM

What about Fira Sans SemiBold like this?

paulb added a comment.Nov 30 2019, 2:50 PM

I would like to gently point out that this is not very helpful and that we are never going to reach a consensus if every new comment contains a new proposal. This task has been blocked for weeks. The best time to submit a proposal would've been then, not at the exact moment when we are trying to unblock it.

GB_2 added a subscriber: GB_2.Nov 30 2019, 2:58 PM

Noto Sans: +1
Kabel: -1

Also, I think if you use rounded corners, reduce the font size and use Breeze's #232629 for the label it will look slightly better.


I agree, and it looks great!

Kabel: +1

nice to see others letters with the font as well

Kabel is +1 from me
filipf's design too
Unless the other fonts could have less spacing and be bigger.
The KDE name shouldn't be too thin, it should be visible from afar and also for people with impaired vision.

TBH, I like the Noto Sans design the most, however for font consistency Kabel is kinda decent.

My only worry for Kabel is that it might look too childish for KDE. It isn't noticeable in the overall logo, but as a label on its own it's seriously noticeable.

Also I like the idea of rounding the blue square above the label as well.

Furthermore, the bottom font should ideally match the Plasma default font and, as suggested, use the Breeze text colour.

manueljlin added a subscriber: manueljlin.EditedNov 30 2019, 5:00 PM

+1 Noto
-1 Kabel

Also did this some time ago, probably doesn't work but eh, maybe it gives some ideas for the horizontal ones.
It uses Noto ExtraBold to match the Kabel's K thickness/weight, and has a "base" logo where you can add ".org", or "Made by", etc without it looking off


edit: oops it doesn't have a bg and it's white, fixing...
edit 2: fixed
edit 3: tweaked spacing

The-Feren-OS-Dev added a comment.EditedNov 30 2019, 5:04 PM

+1 Noto
-1 Kabel

Also did this some time ago, probably doesn't work but eh, maybe it gives some ideas for the horizontal ones.
It uses Noto ExtraBold to match the Kabel's K thickness/weight, and has a "base" logo where you can add ".org", or "Made by", etc without it looking off


Ok, this is definitely TBH a great way to do the design, too. I was kind of thinking of that idea too but didn't really think it would've been a good idea for it being in the Kabel font. However, in that font it looks great.

ndavis added a subscriber: ndavis.EditedNov 30 2019, 5:24 PM

close tie between Noto and Lato for me
-1 to Deja

Some observations:

  • Bitstream and Deja are identical.
  • Noto and Open are almost the same. The line thickness is slightly different.
  • Fira Sans looks pretty nice.
  • Kabel might be good with less font weight. I think it looks childish because of the font weight.

I think that there should be no blue square unless it also contains the label. I noticed that when other groups put their name below their logo, their logo is never a shape with a background with the name below the background.

This is a rough draft with the text on the background:

@ndavis I quite like yours since they are embedded in the logo. Since we are using Noto Sans everywhere (default font in plasma and in the websites), maybe we should also use Noto Sans in the logo.

@ndavis I quite like yours since they are embedded in the logo. Since we are using Noto Sans everywhere (default font in plasma and in the websites), maybe we should also use Noto Sans in the logo.

I am happy to go with this. Everybody happy with Noto Sans and @ndavis's layout?

Seems good to me

+1, looks nice.

hein added a subscriber: hein.Sat, Jan 4, 1:33 PM

Since we have consensus, let's expand the clipart page? :)

paulb added a comment.Sat, Jan 4, 5:19 PM
In T11915#216469, @hein wrote:

Since we have consensus, let's expand the clipart page? :)

Yeah. That is what I am trying to do, but I don't have enough karma to commit the changes. I am waiting sysadmin to award me some.

paulb added a comment.Sat, Jan 4, 5:26 PM

Meanwhile, I have made all the different versions available here: https://share.kde.org/s/r4SYAPHTtK7TtA3

They are the graphics that contain the "w-slug" ("with slug") chain in the name.

paulb added a comment.Sun, Jan 5, 12:44 PM

Uploaded all the logos to https://kde.org/stuff/clipart.php and updated the descriptions on the page.

paulb closed this task as Resolved.Sun, Jan 5, 12:44 PM
hein added a comment.Sun, Jan 5, 8:41 PM

Thanks everyone!

ognarb awarded a token.Sun, Jan 5, 9:36 PM